Summary: A small utility for safely making /tmp files.
Name: mktemp
%define version 1.5
Version: %{version}
Release: 1.0.2
Copyright: BSD
Group: System Environment/Base
Source: ftp://ftp.openbsd.org/pub/OpenBSD/src/usr.bin/mktemp-%{version}.tar.gz
Patch0: mktemp-1.4-linux.patch
Patch1: mktemp-1.5-man.patch
Patch2: mktemp-1.5-mandir.patch
Url: http://www.openbsd.org
Buildroot: %{_tmppath}/%{name}-root

%description
The mktemp utility takes a given file name template and overwrites a
portion of it to create a unique file name.  This allows shell scripts
and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%prep
%setup
%patch0 -p1 -b .linux
%patch1 -p1 -b .man
%patch2 -p1 -b .mandir

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make ROOT="$RPM_BUILD_ROOT" mandir=%{_mandir} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/mktemp
%doc %{_mandir}/man1/mktemp.*

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.5, Release 1.0.2
  - You guessed it!


* Sat Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes

* Mon Jul 10 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version based from RH6

